curl --request GET \
--url https://sandbox.cashfree.com/pg/orders/{order_id} \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/pg/orders/{order_id}"
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.cashfree.com/pg/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$ref": "#/components/examples/order_entity_list_example/value/0"
}{
"message": "bad URL, please check API documentation",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"code": "somethind_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"code": "internal_error",
"type": "api_error"
}Get Order
Use this API to fetch the order that was created at Cashfreeās using the order_id.
When to use this API
- To check the status of your order
- Once the order is PAID
- Once your customer returns to
return_url
Authorizations
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret in the Merchant Dashboard.
Headers
API version to be used
Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to cashfree
Idempotency works by saving the resulting status code and body of the first request made for any given idempotency key, regardless of whether it succeeded or failed. Subsequent requests with the same key return the same result, including 500 errors.
Currently supported on all POST calls that uses x-client-id & x-client-secret. To use enable, pass x-idempotency-key in the request header. The value of this header must be unique to each operation you are trying to do. One example can be to use the same order_id that you pass while creating orders
Path Parameters
The id which uniquely identifies your order
Response
OK
The complete order entity
unique id generated by cashfree for your order
order_id sent during the api request
Type of the entity.
Currency of the order. Example INR
Possible values are
ACTIVE: Order does not have a sucessful transaction yetPAID: Order is PAID with one successful transactionEXPIRED: Order was not PAID and not it has expired. No transaction can be initiated for an EXPIRED order.
Additional note for order
When the order was created at cashfree's server
"2022-08-16T14:45:38+05:30"
Show child attributes
Show child attributes
The customer details that are necessary. Note that you can pass dummy details if your use case does not require the customer details.
Show child attributes
Show child attributes
{
"customer_id": "7112AAA812234",
"customer_email": "john@cashfree.com",
"customer_phone": "9908734801",
"customer_name": "John Doe",
"customer_bank_account_number": "1518121112",
"customer_bank_ifsc": "XITI0000001",
"customer_bank_code": 3333
}
Optional meta details to control how the customer pays and how payment journey completes
Show child attributes
Show child attributes
URL for payment retrieval for an order
Show child attributes
Show child attributes
Settlement URL object
Show child attributes
Show child attributes
URL to get refunds for order
Show child attributes
Show child attributes
Custom Tags in thr form of {"key":"value"} which can be passed for an order. A maximum of 10 tags can be added
Show child attributes
Show child attributes
{
"product": "Laptop",
"shipping_address": "123 Main St"
}
Was this page helpful?